# Functor Traverse.Bfs

    module Bfs: functor (G : G) -> sig .. end

Breadth-first search

Parameters:

`G` | : | `G`

## Classical big-step iterators

    val iter : (G.V.t -> unit) -> Traverse.G.t -> unit

    val iter_component : (G.V.t -> unit) -> Traverse.G.t -> G.V.t -> unit

## Step-by-step iterator

See module `Dfs`

    type iterator

    val start : Traverse.G.t -> iterator

    val step : iterator -> iterator

    val get : iterator -> G.V.t